local _, MazeHelper = ...;

local locale = GetLocale();
local convert = {
    enGB = 'enUS',
    ptPT = 'ptBR',
};
local gameLocale = convert[locale] or locale or 'enUS';

MazeHelper.L = {};
local L = MazeHelper.L;

-- Common
L['MAZE_HELPER_EXCLAMATION_MARK'] = '|TInterface\\OptionsFrame\\UI-OptionsFrame-NewFeatureIcon:0:0:0:0|t ';

-- Default to enUS
L['MAZE_HELPER_ZONE_NAME'] = 'Mistveil Tangle';
L['MAZE_HELPER_RESET'] = 'Reset';
L['MAZE_HELPER_CHOOSE_SYMBOLS_4'] = 'Select 4 symbols';
L['MAZE_HELPER_CHOOSE_SYMBOLS_3'] = 'Select 3 more symbols';
L['MAZE_HELPER_CHOOSE_SYMBOLS_2'] = 'Select 2 more symbols';
L['MAZE_HELPER_CHOOSE_SYMBOLS_1'] = 'Select 1 more symbol';
L['MAZE_HELPER_SOLUTION_NA'] = '|cffffb833There is no solution...|r';
L['MAZE_HELPER_SOLUTION'] = '|cff33cc66%s|r';
L['MAZE_HELPER_LEAF_FULL_CIRCLE'] = 'Filled leaf in a circle';
L['MAZE_HELPER_LEAF_FULL_NOCIRCLE'] = 'Filled leaf without a circle';
L['MAZE_HELPER_LEAF_NOFULL_CIRCLE'] = 'Empty leaf in a circle';
L['MAZE_HELPER_LEAF_NOFULL_NOCIRCLE'] = 'Empty leaf without a circle';
L['MAZE_HELPER_FLOWER_FULL_CIRCLE'] = 'Filled flower in a circle';
L['MAZE_HELPER_FLOWER_FULL_NOCIRCLE'] = 'Filled flower without a circle';
L['MAZE_HELPER_FLOWER_NOFULL_CIRCLE'] = 'Empty flower in a circle';
L['MAZE_HELPER_FLOWER_NOFULL_NOCIRCLE'] = 'Empty flower without a circle';
L['MAZE_HELPER_SENDED_BY'] = 'Sended by %s';
L['MAZE_HELPER_CLEARED_BY'] = 'Cleared by %s';
L['MAZE_HELPER_EXPAND'] = 'Expand';
L['MAZE_HELPER_PASSED'] = 'Passed';
L['MAZE_HELPER_RESETED_PLAYER'] = '|cffffb833MH:|r %s |cffff0537resetted|r this mini-game';
L['MAZE_HELPER_PASSED_PLAYER'] = '|cffffb833MH:|r %s clicked on «|cff66ff6ePassed|r» button';
L['MAZE_HELPER_MOTSH_RESETED_PLAYER'] = '|cffffb833MH:|r %s |cffff0537resetted|r this mini-game (Mists of Tirna Scithe Helper)';
L['MAZE_HELPER_WA_RESETED_PLAYER'] = '|cffffb833MH:|r %s |cffff0537resetted|r this mini-game (WA)';
L['MAZE_HELPER_ANNOUNCE_SOLUTION'] = 'Solution: %s';
L['MAZE_HELPER_ANNOUNCE_LEAF_FULL_CIRCLE'] = 'Filled leaf in a circle';
L['MAZE_HELPER_ANNOUNCE_LEAF_FULL_NOCIRCLE'] = 'Filled leaf without a circle';
L['MAZE_HELPER_ANNOUNCE_LEAF_NOFULL_CIRCLE'] = 'Empty leaf in a circle';
L['MAZE_HELPER_ANNOUNCE_LEAF_NOFULL_NOCIRCLE'] = 'Empty leaf without a circle';
L['MAZE_HELPER_ANNOUNCE_FLOWER_FULL_CIRCLE'] = 'Filled flower in a circle';
L['MAZE_HELPER_ANNOUNCE_FLOWER_FULL_NOCIRCLE'] = 'Filled flower without a circle';
L['MAZE_HELPER_ANNOUNCE_FLOWER_NOFULL_CIRCLE'] = 'Empty flower in a circle';
L['MAZE_HELPER_ANNOUNCE_FLOWER_NOFULL_NOCIRCLE'] = 'Empty flower without a circle';
L['MAZE_HELPER_SETTINGS_REVEAL_RESETTER_LABEL'] = 'Reveal resetter of the mini-game';
L['MAZE_HELPER_SETTINGS_REVEAL_RESETTER_TOOLTIP'] = 'Type in the chat the name of the player who did click on the «Reset» or «Passed» button (only for yourself)';
L['MAZE_HELPER_SETTINGS_AUTOANNOUNCER_LABEL'] = 'Enable auto announcer';
L['MAZE_HELPER_SETTINGS_AUTOANNOUNCER_TOOLTIP'] = 'Automatically send a ready-made solution to the group chat';
L['MAZE_HELPER_SETTINGS_START_IN_MINMODE_LABEL'] = 'Start in minimized mode';
L['MAZE_HELPER_SETTINGS_START_IN_MINMODE_TOOLTIP'] = 'The first appearance will occur in minimized mode';
L['MAZE_HELPER_SETTINGS_WA_SUPPORT_LABEL'] = 'WA support (Saxayone#2791)';
L['MAZE_HELPER_SETTINGS_WA_SUPPORT_TOOLTIP'] = 'Experimental support for WA created by Saxayone#2791 (may not work correctly if «Experimental» mode is enabled in WA)';
L['MAZE_HELPER_SETTINGS_AA_PARTY_LEADER'] = 'Party leader';
L['MAZE_HELPER_SETTINGS_AA_ALWAYS'] = 'Always';
L['MAZE_HELPER_SETTINGS_AA_TANK'] = 'Tank';
L['MAZE_HELPER_SETTINGS_AA_HEALER'] = 'Healer';
L['MAZE_HELPER_SETTINGS_SHOW_AT_BOSS_LABEL'] = 'Show at Boss';
L['MAZE_HELPER_SETTINGS_SHOW_AT_BOSS_TOOLTIP'] = 'Show this helper when fight with «Mistcaller»';
L['MAZE_HELPER_SETTINGS_SYNC_ENABLED_LABEL'] = 'Group sync';
L['MAZE_HELPER_SETTINGS_SYNC_ENABLED_TOOLTIP'] = 'Enable syncing of symbols selections with other group members|n|n|cffff6a00It is not recommended to turn off|r';
L['MAZE_HELPER_SETTINGS_USE_COLORED_SYMBOLS_LABEL'] = 'Use colored symbols';
L['MAZE_HELPER_SETTINGS_USE_COLORED_SYMBOLS_TOOLTIP'] = 'Use colored symbols instead of black and white';

if gameLocale == 'ruRU' then
    L['MAZE_HELPER_ZONE_NAME'] = 'Туманная чащоба';
    L['MAZE_HELPER_RESET'] = 'Сбросить';
    L['MAZE_HELPER_CHOOSE_SYMBOLS_4'] = 'Выберите 4 символа';
    L['MAZE_HELPER_CHOOSE_SYMBOLS_3'] = 'Выберите еще 3 символа';
    L['MAZE_HELPER_CHOOSE_SYMBOLS_2'] = 'Выберите еще 2 символа';
    L['MAZE_HELPER_CHOOSE_SYMBOLS_1'] = 'Выберите еще 1 символ';
    L['MAZE_HELPER_SOLUTION_NA'] = '|cffffb833Решение отсутствует...|r';
    L['MAZE_HELPER_SOLUTION'] = '|cff33cc66%s|r';
    L['MAZE_HELPER_LEAF_FULL_CIRCLE'] = 'Полный листок в круге';
    L['MAZE_HELPER_LEAF_FULL_NOCIRCLE'] = 'Полный листок без круга';
    L['MAZE_HELPER_LEAF_NOFULL_CIRCLE'] = 'Пустой листок в круге';
    L['MAZE_HELPER_LEAF_NOFULL_NOCIRCLE'] = 'Пустой листок без круга';
    L['MAZE_HELPER_FLOWER_FULL_CIRCLE'] = 'Полный цветок в круге';
    L['MAZE_HELPER_FLOWER_FULL_NOCIRCLE'] = 'Полный цветок без круга';
    L['MAZE_HELPER_FLOWER_NOFULL_CIRCLE'] = 'Пустой цветок в круге';
    L['MAZE_HELPER_FLOWER_NOFULL_NOCIRCLE'] = 'Пустой цветок без круга';
    L['MAZE_HELPER_SENDED_BY'] = 'Отправлено %s';
    L['MAZE_HELPER_CLEARED_BY'] = 'Очищено %s';
    L['MAZE_HELPER_EXPAND'] = 'Развернуть';
    L['MAZE_HELPER_PASSED'] = 'Прошли';
    L['MAZE_HELPER_RESETED_PLAYER'] = '|cffffb833MH:|r %s |cffff0537сбросил|r мини-игру';
    L['MAZE_HELPER_PASSED_PLAYER'] = '|cffffb833MH:|r %s кликнул на кнопку «|cff66ff6eПрошли|r»';
    L['MAZE_HELPER_MOTSH_RESETED_PLAYER'] = '|cffffb833MH:|r %s |cffff0537сбросил|r мини-игру (Mists of Tirna Scithe Helper)';
    L['MAZE_HELPER_WA_RESETED_PLAYER'] = '|cffffb833MH:|r %s |cffff0537сбросил|r мини-игру (WA)';
    L['MAZE_HELPER_ANNOUNCE_SOLUTION'] = 'Решение: %s';
    L['MAZE_HELPER_ANNOUNCE_LEAF_FULL_CIRCLE'] = 'Полный листок в круге / Filled leaf in a circle';
    L['MAZE_HELPER_ANNOUNCE_LEAF_FULL_NOCIRCLE'] = 'Полный листок без круга / Filled leaf without a circle';
    L['MAZE_HELPER_ANNOUNCE_LEAF_NOFULL_CIRCLE'] = 'Пустой листок в круге / Empty leaf in a circle';
    L['MAZE_HELPER_ANNOUNCE_LEAF_NOFULL_NOCIRCLE'] = 'Пустой листок без круга / Empty leaf without a circle';
    L['MAZE_HELPER_ANNOUNCE_FLOWER_FULL_CIRCLE'] = 'Полный цветок в круге / Filled flower in a circle';
    L['MAZE_HELPER_ANNOUNCE_FLOWER_FULL_NOCIRCLE'] = 'Полный цветок без круга / Filled flower without a circle';
    L['MAZE_HELPER_ANNOUNCE_FLOWER_NOFULL_CIRCLE'] = 'Пустой цветок в круге / Empty flower in a circle';
    L['MAZE_HELPER_ANNOUNCE_FLOWER_NOFULL_NOCIRCLE'] = 'Пустой цветок без круга / Empty flower without a circle';
    L['MAZE_HELPER_SETTINGS_REVEAL_RESETTER_LABEL'] = 'Имя игрока, сбросившего мини-игру';
    L['MAZE_HELPER_SETTINGS_REVEAL_RESETTER_TOOLTIP'] = 'Писать в чате имя игрока, который нажал на кнопку «Сброс» или «Прошли» (будет видно только Вам)';
    L['MAZE_HELPER_SETTINGS_AUTOANNOUNCER_LABEL'] = 'Включить авто-оповещатель';
    L['MAZE_HELPER_SETTINGS_AUTOANNOUNCER_TOOLTIP'] = 'Автоматически отправлять в чат группы готовое решение';
    L['MAZE_HELPER_SETTINGS_START_IN_MINMODE_LABEL'] = 'Запускать в свернутом режиме';
    L['MAZE_HELPER_SETTINGS_START_IN_MINMODE_TOOLTIP'] = 'Первое появление будет происходить в свернутом режиме';
    L['MAZE_HELPER_SETTINGS_WA_SUPPORT_LABEL'] = 'Поддержка WA (Saxayone#2791)';
    L['MAZE_HELPER_SETTINGS_WA_SUPPORT_TOOLTIP'] = 'Экспериментальная поддержка WA, созданной Saxayone#2791 (может некорректно работать, если в WA включен «Experimental» режим)';
    L['MAZE_HELPER_SETTINGS_AA_PARTY_LEADER'] = 'Лидер группы';
    L['MAZE_HELPER_SETTINGS_AA_ALWAYS'] = 'Всегда';
    L['MAZE_HELPER_SETTINGS_AA_TANK'] = 'Танк';
    L['MAZE_HELPER_SETTINGS_AA_HEALER'] = 'Лекарь';
    L['MAZE_HELPER_SETTINGS_SHOW_AT_BOSS_LABEL'] = 'Показывать в бою с боссом';
    L['MAZE_HELPER_SETTINGS_SHOW_AT_BOSS_TOOLTIP'] = 'Показывать в бою с боссом «Призывательница Туманов»';
    L['MAZE_HELPER_SETTINGS_SYNC_ENABLED_LABEL'] = 'Синхронизация с группой';
    L['MAZE_HELPER_SETTINGS_SYNC_ENABLED_TOOLTIP'] = 'Включить синхронизацию выбора символов с другими участниками группы|n|n|cffff6a00Не рекомендуется выключать|r';
    L['MAZE_HELPER_SETTINGS_USE_COLORED_SYMBOLS_LABEL'] = 'Использовать цветные символы';
    L['MAZE_HELPER_SETTINGS_USE_COLORED_SYMBOLS_TOOLTIP'] = 'Использовать цветные символы вместо черно-белых';

    return;
end

if gameLocale == 'deDE' then -- Google Translate
    L['MAZE_HELPER_ZONE_NAME'] = 'Nebelschleierdickicht';
    L['MAZE_HELPER_RESET'] = 'Zurücksetzen';
    L['MAZE_HELPER_CHOOSE_SYMBOLS_4'] = 'Wählen Sie 4 Symbole';
    L['MAZE_HELPER_CHOOSE_SYMBOLS_3'] = 'Wählen Sie 3 weitere Symbole';
    L['MAZE_HELPER_CHOOSE_SYMBOLS_2'] = 'Wählen Sie 2 weitere Symbole';
    L['MAZE_HELPER_CHOOSE_SYMBOLS_1'] = 'Wählen Sie 1 weiteres symbol';
    L['MAZE_HELPER_SOLUTION_NA'] = '|cffffb833Keine Lösung gefunden...|r';
    L['MAZE_HELPER_SOLUTION'] = '|cff33cc66%s|r';
    L['MAZE_HELPER_LEAF_FULL_CIRCLE'] = 'Gefülltes Blatt im Kreis';
    L['MAZE_HELPER_LEAF_FULL_NOCIRCLE'] = 'Gefülltes Blatt ohne Kreis';
    L['MAZE_HELPER_LEAF_NOFULL_CIRCLE'] = 'Leeres Blatt im Kreis';
    L['MAZE_HELPER_LEAF_NOFULL_NOCIRCLE'] = 'Leeres Blatt ohne Kreis';
    L['MAZE_HELPER_FLOWER_FULL_CIRCLE'] = 'Gefüllte Blume im Kreis';
    L['MAZE_HELPER_FLOWER_FULL_NOCIRCLE'] = 'Gefüllte Blume ohne Kreis';
    L['MAZE_HELPER_FLOWER_NOFULL_CIRCLE'] = 'Leere Blume im Kreis';
    L['MAZE_HELPER_FLOWER_NOFULL_NOCIRCLE'] = 'Leere Blume ohne Kreis';
    L['MAZE_HELPER_SENDED_BY'] = 'Gesendet von %s';
    L['MAZE_HELPER_CLEARED_BY'] = 'Gelöscht von %s';
    L['MAZE_HELPER_EXPAND'] = 'Erweitern';
    L['MAZE_HELPER_PASSED'] = 'Übergeben';
    L['MAZE_HELPER_RESETED_PLAYER'] = '|cffffb833MH:|r %s hat dieses Minispiel |cffff0537zurückgesetzt|r';
    L['MAZE_HELPER_PASSED_PLAYER'] = '|cffffb833MH:|r %s klickte auf «|cff66ff6eBestanden|r»';
    L['MAZE_HELPER_MOTSH_RESETED_PLAYER'] = '|cffffb833MH:|r %s hat dieses Minispiel |cffff0537zurückgesetzt|r (Mists of Tirna Scithe Helper)';
    L['MAZE_HELPER_WA_RESETED_PLAYER'] = '|cffffb833MH:|r %s hat dieses Minispiel |cffff0537zurückgesetzt|r (WA)';
    L['MAZE_HELPER_ANNOUNCE_SOLUTION'] = 'Lösung: %s';
    L['MAZE_HELPER_ANNOUNCE_LEAF_FULL_CIRCLE'] = 'Gefülltes Blatt im Kreis / Filled leaf in a circle';
    L['MAZE_HELPER_ANNOUNCE_LEAF_FULL_NOCIRCLE'] = 'Gefülltes Blatt ohne Kreis / Filled leaf without a circle';
    L['MAZE_HELPER_ANNOUNCE_LEAF_NOFULL_CIRCLE'] = 'Leeres Blatt im Kreis / Empty leaf in a circle';
    L['MAZE_HELPER_ANNOUNCE_LEAF_NOFULL_NOCIRCLE'] = 'Leeres Blatt ohne Kreis / Empty leaf without a circle';
    L['MAZE_HELPER_ANNOUNCE_FLOWER_FULL_CIRCLE'] = 'Gefüllte Blume im Kreis / Filled flower in a circle';
    L['MAZE_HELPER_ANNOUNCE_FLOWER_FULL_NOCIRCLE'] = 'Gefüllte Blume ohne Kreis / Filled flower without a circle';
    L['MAZE_HELPER_ANNOUNCE_FLOWER_NOFULL_CIRCLE'] = 'Leere Blume im Kreis / Empty flower in a circle';
    L['MAZE_HELPER_ANNOUNCE_FLOWER_NOFULL_NOCIRCLE'] = 'Leere Blume ohne Kreis / Empty flower without a circle';
    L['MAZE_HELPER_SETTINGS_REVEAL_RESETTER_LABEL'] = 'Enthülle den Resetter des Minispiels';
    L['MAZE_HELPER_SETTINGS_REVEAL_RESETTER_TOOLTIP'] = 'Geben Sie im Chat den Namen des Spielers ein, der auf die Schaltfläche «Zurücksetzen» oder «Bestanden» geklickt hat (nur für Sie selbst)';
    L['MAZE_HELPER_SETTINGS_AUTOANNOUNCER_LABEL'] = 'Aktivieren Sie die auto-Ansager';
    L['MAZE_HELPER_SETTINGS_AUTOANNOUNCER_TOOLTIP'] = 'Senden Sie automatisch eine vorgefertigte Lösung an den Gruppenchat';
    L['MAZE_HELPER_SETTINGS_START_IN_MINMODE_LABEL'] = 'Starten Sie im minimierten Modus';
    L['MAZE_HELPER_SETTINGS_START_IN_MINMODE_TOOLTIP'] = 'Das erste Auftreten erfolgt im minimierten Modus';
    L['MAZE_HELPER_SETTINGS_WA_SUPPORT_LABEL'] = 'WA-Unterstützung (Saxayone#2791)';
    L['MAZE_HELPER_SETTINGS_WA_SUPPORT_TOOLTIP'] = 'Experimentelle Unterstützung für WA, erstellt von Saxayone#2791 (funktioniert möglicherweise nicht richtig, wenn der Modus «Experimentell» in WA aktiviert ist)';
    L['MAZE_HELPER_SETTINGS_AA_PARTY_LEADER'] = 'Party Anführer';
    L['MAZE_HELPER_SETTINGS_AA_ALWAYS'] = 'Immer';
    L['MAZE_HELPER_SETTINGS_AA_TANK'] = 'Tank';
    L['MAZE_HELPER_SETTINGS_AA_HEALER'] = 'Heiler';
    L['MAZE_HELPER_SETTINGS_SHOW_AT_BOSS_LABEL'] = 'Show bei Boss';
    L['MAZE_HELPER_SETTINGS_SHOW_AT_BOSS_TOOLTIP'] = 'Zeigen Sie diesen Helfer im Kampf mit «Nebelruferin»';
    L['MAZE_HELPER_SETTINGS_SYNC_ENABLED_LABEL'] = 'Gruppensynchronisation';
    L['MAZE_HELPER_SETTINGS_SYNC_ENABLED_TOOLTIP'] = 'Aktivieren der Synchronisierung der Symbolauswahl mit anderen Gruppenmitgliedern|n|n|cffff6a00Es wird nicht empfohlen, das Gerät auszuschalten|r';
    L['MAZE_HELPER_SETTINGS_USE_COLORED_SYMBOLS_LABEL'] = 'Verwenden Sie farbige Symbole';
    L['MAZE_HELPER_SETTINGS_USE_COLORED_SYMBOLS_TOOLTIP'] = 'Verwenden Sie farbige Symbole anstelle von Schwarzweiß';

    return;
end

if gameLocale == 'frFR' then -- Google Translate
    L['MAZE_HELPER_ZONE_NAME'] = 'Maquis Voile-de-Brume';
    L['MAZE_HELPER_RESET'] = 'Reset';
    L['MAZE_HELPER_CHOOSE_SYMBOLS_4'] = 'Sélectionnez 4 symboles';
    L['MAZE_HELPER_CHOOSE_SYMBOLS_3'] = 'Sélectionnez 3 autres symboles';
    L['MAZE_HELPER_CHOOSE_SYMBOLS_2'] = 'Sélectionnez 2 autres symboles';
    L['MAZE_HELPER_CHOOSE_SYMBOLS_1'] = 'Sélectionnez 1 autre symbole';
    L['MAZE_HELPER_SOLUTION_NA'] = '|cffffb833Il n\'y a pas de solution...|r';
    L['MAZE_HELPER_SOLUTION'] = '|cff33cc66%s|r';
    L['MAZE_HELPER_LEAF_FULL_CIRCLE'] = 'Feuille remplie dans un cercle';
    L['MAZE_HELPER_LEAF_FULL_NOCIRCLE'] = 'Feuille remplie sans cercle';
    L['MAZE_HELPER_LEAF_NOFULL_CIRCLE'] = 'Feuille vide dans un cercle';
    L['MAZE_HELPER_LEAF_NOFULL_NOCIRCLE'] = 'Feuille vide sans cercle';
    L['MAZE_HELPER_FLOWER_FULL_CIRCLE'] = 'Fleur remplie dans un cercle';
    L['MAZE_HELPER_FLOWER_FULL_NOCIRCLE'] = 'Fleur remplie sans cercle';
    L['MAZE_HELPER_FLOWER_NOFULL_CIRCLE'] = 'Fleur vide dans un cercle';
    L['MAZE_HELPER_FLOWER_NOFULL_NOCIRCLE'] = 'Fleur vide sans cercle';
    L['MAZE_HELPER_SENDED_BY'] = 'Envoyé par %s';
    L['MAZE_HELPER_CLEARED_BY'] = 'Innocenté par %s';
    L['MAZE_HELPER_EXPAND'] = 'Élargir';
    L['MAZE_HELPER_PASSED'] = 'Passer';
    L['MAZE_HELPER_RESETED_PLAYER'] = '|cffffb833MH:|r %s a |cffff0537réinitialisé|r ce mini-jeu';
    L['MAZE_HELPER_PASSED_PLAYER'] = '|cffffb833MH:|r %s a cliqué sur le bouton «|cff66ff6ePasser|r»';
    L['MAZE_HELPER_MOTSH_RESETED_PLAYER'] = '|cffffb833MH:|r %s a |cffff0537réinitialisé|r ce mini-jeu (Mists of Tirna Scithe Helper)';
    L['MAZE_HELPER_WA_RESETED_PLAYER'] = '|cffffb833MH:|r %s a |cffff0537réinitialisé|r ce mini-jeu (WA)';
    L['MAZE_HELPER_ANNOUNCE_SOLUTION'] = 'Solution: %s';
    L['MAZE_HELPER_ANNOUNCE_LEAF_FULL_CIRCLE'] = 'Feuille remplie dans un cercle / Filled leaf in a circle';
    L['MAZE_HELPER_ANNOUNCE_LEAF_FULL_NOCIRCLE'] = 'Feuille remplie sans cercle / Filled leaf without a circle';
    L['MAZE_HELPER_ANNOUNCE_LEAF_NOFULL_CIRCLE'] = 'Feuille vide dans un cercle / Empty leaf in a circle';
    L['MAZE_HELPER_ANNOUNCE_LEAF_NOFULL_NOCIRCLE'] = 'Feuille vide sans cercle / Empty leaf without a circle';
    L['MAZE_HELPER_ANNOUNCE_FLOWER_FULL_CIRCLE'] = 'Fleur remplie dans un cercle / Filled flower in a circle';
    L['MAZE_HELPER_ANNOUNCE_FLOWER_FULL_NOCIRCLE'] = 'Fleur remplie sans cercle / Filled flower without a circle';
    L['MAZE_HELPER_ANNOUNCE_FLOWER_NOFULL_CIRCLE'] = 'Fleur vide dans un cercle / Empty flower in a circle';
    L['MAZE_HELPER_ANNOUNCE_FLOWER_NOFULL_NOCIRCLE'] = 'Fleur vide sans cercle / Empty flower without a circle';
    L['MAZE_HELPER_SETTINGS_REVEAL_RESETTER_LABEL'] = 'Reveal resetter du mini-jeu';
    L['MAZE_HELPER_SETTINGS_REVEAL_RESETTER_TOOLTIP'] = 'Tapez dans le chat le nom du joueur qui a cliqué sur le bouton «Réinitialiser» ou «Passé» (uniquement pour vous)';
    L['MAZE_HELPER_SETTINGS_AUTOANNOUNCER_LABEL'] = 'Activer l\'annonceur automatique';
    L['MAZE_HELPER_SETTINGS_AUTOANNOUNCER_TOOLTIP'] = 'Envoyez automatiquement une solution prête à l\'emploi au chat de groupe';
    L['MAZE_HELPER_SETTINGS_START_IN_MINMODE_LABEL'] = 'Démarrez en mode réduit';
    L['MAZE_HELPER_SETTINGS_START_IN_MINMODE_TOOLTIP'] = 'La première apparition se produira en mode réduit';
    L['MAZE_HELPER_SETTINGS_WA_SUPPORT_LABEL'] = 'Prise en charge WA (Saxayone#2791)';
    L['MAZE_HELPER_SETTINGS_WA_SUPPORT_TOOLTIP'] = 'Support expérimental pour WA créé par Saxayone#2791 (peut ne pas fonctionner correctement si le mode «Expérimental» est activé dans WA)';
    L['MAZE_HELPER_SETTINGS_AA_PARTY_LEADER'] = 'Le chef du parti';
    L['MAZE_HELPER_SETTINGS_AA_ALWAYS'] = 'Toujours';
    L['MAZE_HELPER_SETTINGS_AA_TANK'] = 'Tank';
    L['MAZE_HELPER_SETTINGS_AA_HEALER'] = 'Soins';
    L['MAZE_HELPER_SETTINGS_SHOW_AT_BOSS_LABEL'] = 'Montrer chez Boss';
    L['MAZE_HELPER_SETTINGS_SHOW_AT_BOSS_TOOLTIP'] = 'Montrez cet assistant lorsque vous vous battez avec «Mandebrume»';
    L['MAZE_HELPER_SETTINGS_SYNC_ENABLED_LABEL'] = 'Synchronisation de groupe';
    L['MAZE_HELPER_SETTINGS_SYNC_ENABLED_TOOLTIP'] = 'Activer la synchronisation des sélections de symboles avec d\'autres membres du groupe|n|n|cffff6a00Il n\'est pas recommandé de désactiver|r';
    L['MAZE_HELPER_SETTINGS_USE_COLORED_SYMBOLS_LABEL'] = 'Utilisez des symboles colorés';
    L['MAZE_HELPER_SETTINGS_USE_COLORED_SYMBOLS_TOOLTIP'] = 'Utilisez des symboles colorés au lieu du noir et blanc';

    return;
end

if gameLocale == 'itIT' then -- Google Translate
    L['MAZE_HELPER_ZONE_NAME'] = 'Intrico Velofosco';
    L['MAZE_HELPER_RESET'] = 'Ripristina';
    L['MAZE_HELPER_CHOOSE_SYMBOLS_4'] = 'Seleziona 4 simboli';
    L['MAZE_HELPER_CHOOSE_SYMBOLS_3'] = 'Seleziona altri 3 simboli';
    L['MAZE_HELPER_CHOOSE_SYMBOLS_2'] = 'Seleziona altri 2 simboli';
    L['MAZE_HELPER_CHOOSE_SYMBOLS_1'] = 'Seleziona 1 altro simbolo';
    L['MAZE_HELPER_SOLUTION_NA'] = '|cffffb833Non c\'è soluzione...|r';
    L['MAZE_HELPER_SOLUTION'] = '|cff33cc66%s|r';
    L['MAZE_HELPER_LEAF_FULL_CIRCLE'] = 'Foglia piena in un cerchio';
    L['MAZE_HELPER_LEAF_FULL_NOCIRCLE'] = 'Foglia piena senza cerchio';
    L['MAZE_HELPER_LEAF_NOFULL_CIRCLE'] = 'Foglia vuota in un cerchio';
    L['MAZE_HELPER_LEAF_NOFULL_NOCIRCLE'] = 'Foglia vuota senza cerchio';
    L['MAZE_HELPER_FLOWER_FULL_CIRCLE'] = 'Fiore pieno in un cerchio';
    L['MAZE_HELPER_FLOWER_FULL_NOCIRCLE'] = 'Fiore pieno senza cerchio';
    L['MAZE_HELPER_FLOWER_NOFULL_CIRCLE'] = 'Fiore vuoto in un cerchio';
    L['MAZE_HELPER_FLOWER_NOFULL_NOCIRCLE'] = 'Fiore vuoto senza cerchio';
    L['MAZE_HELPER_SENDED_BY'] = 'Inviato da %s';
    L['MAZE_HELPER_CLEARED_BY'] = 'Cancellato da %s';
    L['MAZE_HELPER_EXPAND'] = 'Espandere';
    L['MAZE_HELPER_PASSED'] = 'Passato';
    L['MAZE_HELPER_RESETED_PLAYER'] = '|cffffb833MH:|r %s |cffff0537ha ripristinato|r questo minigioco';
    L['MAZE_HELPER_PASSED_PLAYER'] = '|cffffb833MH:|r %s ha fatto clic sul pulsante «|cff66ff6ePassato|r»';
    L['MAZE_HELPER_MOTSH_RESETED_PLAYER'] = '|cffffb833MH:|r %s |cffff0537ha ripristinato|r questo minigioco (Mists of Tirna Scithe Helper)';
    L['MAZE_HELPER_WA_RESETED_PLAYER'] = '|cffffb833MH:|r %s |cffff0537ha ripristinato|r questo minigioco (WA)';
    L['MAZE_HELPER_ANNOUNCE_SOLUTION'] = 'Soluzione: %s';
    L['MAZE_HELPER_ANNOUNCE_LEAF_FULL_CIRCLE'] = 'Foglia piena in un cerchio / Filled leaf in a circle';
    L['MAZE_HELPER_ANNOUNCE_LEAF_FULL_NOCIRCLE'] = 'Foglia piena senza cerchio / Filled leaf without a circle';
    L['MAZE_HELPER_ANNOUNCE_LEAF_NOFULL_CIRCLE'] = 'Foglia vuota in un cerchio / Empty leaf in a circle';
    L['MAZE_HELPER_ANNOUNCE_LEAF_NOFULL_NOCIRCLE'] = 'Foglia vuota senza cerchio / Empty leaf without a circle';
    L['MAZE_HELPER_ANNOUNCE_FLOWER_FULL_CIRCLE'] = 'Fiore pieno in un cerchio / Filled flower in a circle';
    L['MAZE_HELPER_ANNOUNCE_FLOWER_FULL_NOCIRCLE'] = 'Fiore pieno senza cerchio / Filled flower without a circle';
    L['MAZE_HELPER_ANNOUNCE_FLOWER_NOFULL_CIRCLE'] = 'Fiore vuoto in un cerchio / Empty flower in a circle';
    L['MAZE_HELPER_ANNOUNCE_FLOWER_NOFULL_NOCIRCLE'] = 'Fiore vuoto senza cerchio / Empty flower without a circle';
    L['MAZE_HELPER_SETTINGS_REVEAL_RESETTER_LABEL'] = 'Rivela il resetter del mini-gioco';
    L['MAZE_HELPER_SETTINGS_REVEAL_RESETTER_TOOLTIP'] = 'Digita nella chat il nome del giocatore che ha fatto clic sul pulsante «Ripristina» o «Passato» (solo per te)';
    L['MAZE_HELPER_SETTINGS_AUTOANNOUNCER_LABEL'] = 'Abilita annunciatore automatico';
    L['MAZE_HELPER_SETTINGS_AUTOANNOUNCER_TOOLTIP'] = 'Invia automaticamente una soluzione già pronta alla chat di gruppo';
    L['MAZE_HELPER_SETTINGS_START_IN_MINMODE_LABEL'] = 'Inizia in modalità ridotta a icona';
    L['MAZE_HELPER_SETTINGS_START_IN_MINMODE_TOOLTIP'] = 'La prima apparizione si verificherà in modalità ridotta a icona';
    L['MAZE_HELPER_SETTINGS_WA_SUPPORT_LABEL'] = 'Supporto WA (Saxayone#2791)';
    L['MAZE_HELPER_SETTINGS_WA_SUPPORT_TOOLTIP'] = 'Supporto sperimentale per WA creato da Saxayone#2791 (potrebbe non funzionare correttamente se la modalità «Sperimentale» è abilitata in WA)';
    L['MAZE_HELPER_SETTINGS_AA_PARTY_LEADER'] = 'Leader del partito';
    L['MAZE_HELPER_SETTINGS_AA_ALWAYS'] = 'Sempre';
    L['MAZE_HELPER_SETTINGS_AA_TANK'] = 'Difensore';
    L['MAZE_HELPER_SETTINGS_AA_HEALER'] = 'Guaritore';
    L['MAZE_HELPER_SETTINGS_SHOW_AT_BOSS_LABEL'] = 'Mostra al Boss';
    L['MAZE_HELPER_SETTINGS_SHOW_AT_BOSS_TOOLTIP'] = 'Mostra questo aiutante quando combatti con «Evocanebbie»';
    L['MAZE_HELPER_SETTINGS_SYNC_ENABLED_LABEL'] = 'Sincronizzazione di gruppo';
    L['MAZE_HELPER_SETTINGS_SYNC_ENABLED_TOOLTIP'] = 'Abilita la sincronizzazione delle selezioni dei simboli con altri membri del gruppo|n|n|cffff6a00Non è consigliabile disattivare|r';
    L['MAZE_HELPER_SETTINGS_USE_COLORED_SYMBOLS_LABEL'] = 'Usa simboli colorati';
    L['MAZE_HELPER_SETTINGS_USE_COLORED_SYMBOLS_TOOLTIP'] = 'Usa simboli colorati invece del bianco e nero';

    return;
end

if gameLocale == 'ptBR' then -- Brazilian Portuguese (Google Translate)
    L['MAZE_HELPER_ZONE_NAME'] = 'Enleio do Véu da Névoa';
    L['MAZE_HELPER_RESET'] = 'Redefinir';
    L['MAZE_HELPER_CHOOSE_SYMBOLS_4'] = 'Selecione 4 símbolos';
    L['MAZE_HELPER_CHOOSE_SYMBOLS_3'] = 'Selecione mais 3 símbolos';
    L['MAZE_HELPER_CHOOSE_SYMBOLS_2'] = 'Selecione mais 2 símbolos';
    L['MAZE_HELPER_CHOOSE_SYMBOLS_1'] = 'Selecione mais 1 símbolo';
    L['MAZE_HELPER_SOLUTION_NA'] = '|cffffb833Não há solução...|r';
    L['MAZE_HELPER_SOLUTION'] = '|cff33cc66%s|r';
    L['MAZE_HELPER_LEAF_FULL_CIRCLE'] = 'Folha preenchida em um círculo';
    L['MAZE_HELPER_LEAF_FULL_NOCIRCLE'] = 'Folha preenchida sem círculo';
    L['MAZE_HELPER_LEAF_NOFULL_CIRCLE'] = 'Folha vazia em um círculo';
    L['MAZE_HELPER_LEAF_NOFULL_NOCIRCLE'] = 'Folha vazia sem círculo';
    L['MAZE_HELPER_FLOWER_FULL_CIRCLE'] = 'Flor cheia em um círculo';
    L['MAZE_HELPER_FLOWER_FULL_NOCIRCLE'] = 'Flor cheia sem círculo';
    L['MAZE_HELPER_FLOWER_NOFULL_CIRCLE'] = 'Flor vazia em um círculo';
    L['MAZE_HELPER_FLOWER_NOFULL_NOCIRCLE'] = 'Flor vazia sem círculo';
    L['MAZE_HELPER_SENDED_BY'] = 'Enviado por %s';
    L['MAZE_HELPER_CLEARED_BY'] = 'Apagado por %s';
    L['MAZE_HELPER_EXPAND'] = 'Expandir';
    L['MAZE_HELPER_PASSED'] = 'Passado';
    L['MAZE_HELPER_RESETED_PLAYER'] = '|cffffb833MH:|r %s |cffff0537redefiniu|r este minijogo';
    L['MAZE_HELPER_PASSED_PLAYER'] = '|cffffb833MH:|r %s clicou no botão «|cff66ff6ePassado|r»';
    L['MAZE_HELPER_MOTSH_RESETED_PLAYER'] = '|cffffb833MH:|r %s |cffff0537redefiniu|r este minijogo (Mists of Tirna Scithe Helper)';
    L['MAZE_HELPER_WA_RESETED_PLAYER'] = '|cffffb833MH:|r %s |cffff0537redefiniu|r este minijogo (WA)';
    L['MAZE_HELPER_ANNOUNCE_SOLUTION'] = 'Solução: %s';
    L['MAZE_HELPER_ANNOUNCE_LEAF_FULL_CIRCLE'] = 'Folha preenchida em um círculo / Filled leaf in a circle';
    L['MAZE_HELPER_ANNOUNCE_LEAF_FULL_NOCIRCLE'] = 'Folha preenchida sem círculo / Filled leaf without a circle';
    L['MAZE_HELPER_ANNOUNCE_LEAF_NOFULL_CIRCLE'] = 'Folha vazia em um círculo / Empty leaf in a circle';
    L['MAZE_HELPER_ANNOUNCE_LEAF_NOFULL_NOCIRCLE'] = 'Folha vazia sem círculo / Empty leaf without a circle';
    L['MAZE_HELPER_ANNOUNCE_FLOWER_FULL_CIRCLE'] = 'Flor cheia em um círculo / Filled flower in a circle';
    L['MAZE_HELPER_ANNOUNCE_FLOWER_FULL_NOCIRCLE'] = 'Flor cheia sem círculo / Filled flower without a circle';
    L['MAZE_HELPER_ANNOUNCE_FLOWER_NOFULL_CIRCLE'] = 'Flor vazia em um círculo / Empty flower in a circle';
    L['MAZE_HELPER_ANNOUNCE_FLOWER_NOFULL_NOCIRCLE'] = 'Flor vazia sem círculo / Empty flower without a circle';
    L['MAZE_HELPER_SETTINGS_REVEAL_RESETTER_LABEL'] = 'Revelar a reinicialização do minijogo';
    L['MAZE_HELPER_SETTINGS_REVEAL_RESETTER_TOOLTIP'] = 'Digite no chat o nome do jogador que clicou no botão «Redefinir» ou «Passado» (apenas para você)';
    L['MAZE_HELPER_SETTINGS_AUTOANNOUNCER_LABEL'] = 'Ativar locutor automático';
    L['MAZE_HELPER_SETTINGS_AUTOANNOUNCER_TOOLTIP'] = 'Envie automaticamente uma solução pronta para o chat em grupo';
    L['MAZE_HELPER_SETTINGS_START_IN_MINMODE_LABEL'] = 'Comece no modo minimizado';
    L['MAZE_HELPER_SETTINGS_START_IN_MINMODE_TOOLTIP'] = 'A primeira aparição ocorrerá no modo minimizado';
    L['MAZE_HELPER_SETTINGS_WA_SUPPORT_LABEL'] = 'Suporte WA (Saxayone#2791)';
    L['MAZE_HELPER_SETTINGS_WA_SUPPORT_TOOLTIP'] = 'Suporte experimental para WA criado por Saxayone#2791 (pode não funcionar corretamente se o modo «Experimental» estiver habilitado em WA)';
    L['MAZE_HELPER_SETTINGS_AA_PARTY_LEADER'] = 'Líder de partido';
    L['MAZE_HELPER_SETTINGS_AA_ALWAYS'] = 'Sempre';
    L['MAZE_HELPER_SETTINGS_AA_TANK'] = 'Tanque';
    L['MAZE_HELPER_SETTINGS_AA_HEALER'] = 'Cura';
    L['MAZE_HELPER_SETTINGS_SHOW_AT_BOSS_LABEL'] = 'Mostrar no Boss';
    L['MAZE_HELPER_SETTINGS_SHOW_AT_BOSS_TOOLTIP'] = 'Mostre este ajudante quando lutar com «Chamabruma»';
    L['MAZE_HELPER_SETTINGS_SYNC_ENABLED_LABEL'] = 'Sincronização de grupo';
    L['MAZE_HELPER_SETTINGS_SYNC_ENABLED_TOOLTIP'] = 'Habilite a sincronização de seleções de símbolos com outros membros do grupo|n|n|cffff6a00Não é recomendado desligar|r';
    L['MAZE_HELPER_SETTINGS_USE_COLORED_SYMBOLS_LABEL'] = 'Use símbolos coloridos';
    L['MAZE_HELPER_SETTINGS_USE_COLORED_SYMBOLS_TOOLTIP'] = 'Use símbolos coloridos em vez de preto e branco';

    return;
end

if gameLocale == 'esES' then -- Spanish (Google Translate)
    L['MAZE_HELPER_ZONE_NAME'] = 'Espesura Velo de Niebla';
    L['MAZE_HELPER_RESET'] = 'Reiniciar';
    L['MAZE_HELPER_CHOOSE_SYMBOLS_4'] = 'Seleccione 4 símbolos';
    L['MAZE_HELPER_CHOOSE_SYMBOLS_3'] = 'Seleccione 3 símbolos más';
    L['MAZE_HELPER_CHOOSE_SYMBOLS_2'] = 'Seleccione 2 símbolos más';
    L['MAZE_HELPER_CHOOSE_SYMBOLS_1'] = 'Seleccione 1 símbolo más';
    L['MAZE_HELPER_SOLUTION_NA'] = '|cffffb833No hay solución...|r';
    L['MAZE_HELPER_SOLUTION'] = '|cff33cc66%s|r';
    L['MAZE_HELPER_LEAF_FULL_CIRCLE'] = 'Hoja llena en un círculo';
    L['MAZE_HELPER_LEAF_FULL_NOCIRCLE'] = 'Hoja llena sin círculo';
    L['MAZE_HELPER_LEAF_NOFULL_CIRCLE'] = 'Hoja vacía en un círculo';
    L['MAZE_HELPER_LEAF_NOFULL_NOCIRCLE'] = 'Hoja vacía sin círculo';
    L['MAZE_HELPER_FLOWER_FULL_CIRCLE'] = 'Flor llena en un círculo';
    L['MAZE_HELPER_FLOWER_FULL_NOCIRCLE'] = 'Flor llena sin círculo';
    L['MAZE_HELPER_FLOWER_NOFULL_CIRCLE'] = 'Flor vacía en un círculo';
    L['MAZE_HELPER_FLOWER_NOFULL_NOCIRCLE'] = 'Flor vacía sin círculo';
    L['MAZE_HELPER_SENDED_BY'] = 'Enviado por %s';
    L['MAZE_HELPER_CLEARED_BY'] = 'Despejado por %s';
    L['MAZE_HELPER_EXPAND'] = 'Expandir';
    L['MAZE_HELPER_PASSED'] = 'Aprobado';
    L['MAZE_HELPER_RESETED_PLAYER'] = '|cffffb833MH:|r %s |cffff0537resetted|r este minijuego';
    L['MAZE_HELPER_PASSED_PLAYER'] = '|cffffb833MH:|r %s hizo clic en el botón «|cff66ff6eAprobado|r»';
    L['MAZE_HELPER_MOTSH_RESETED_PLAYER'] = '|cffffb833MH:|r %s |cffff0537resetted|r este minijuego (Mists of Tirna Scithe Helper)';
    L['MAZE_HELPER_WA_RESETED_PLAYER'] = '|cffffb833MH:|r %s |cffff0537resetted|r este minijuego (WA)';
    L['MAZE_HELPER_ANNOUNCE_SOLUTION'] = 'Solución: %s';
    L['MAZE_HELPER_ANNOUNCE_LEAF_FULL_CIRCLE'] = 'Hoja llena en un círcul / Filled leaf in a circle';
    L['MAZE_HELPER_ANNOUNCE_LEAF_FULL_NOCIRCLE'] = 'Hoja llena sin círculo / Filled leaf without a circle';
    L['MAZE_HELPER_ANNOUNCE_LEAF_NOFULL_CIRCLE'] = 'Hoja vacía en un círculo / Empty leaf in a circle';
    L['MAZE_HELPER_ANNOUNCE_LEAF_NOFULL_NOCIRCLE'] = 'Hoja vacía sin círculo / Empty leaf without a circle';
    L['MAZE_HELPER_ANNOUNCE_FLOWER_FULL_CIRCLE'] = 'Flor llena en un círculo / Filled flower in a circle';
    L['MAZE_HELPER_ANNOUNCE_FLOWER_FULL_NOCIRCLE'] = 'Flor llena sin círculo / Filled flower without a circle';
    L['MAZE_HELPER_ANNOUNCE_FLOWER_NOFULL_CIRCLE'] = 'Flor vacía en un círculo / Empty flower in a circle';
    L['MAZE_HELPER_ANNOUNCE_FLOWER_NOFULL_NOCIRCLE'] = 'Flor vacía sin círculo / Empty flower without a circle';
    L['MAZE_HELPER_SETTINGS_REVEAL_RESETTER_LABEL'] = 'Revelar reiniciador del minijuego';
    L['MAZE_HELPER_SETTINGS_REVEAL_RESETTER_TOOLTIP'] = 'Escribe en el chat el nombre del jugador que hizo clic en el botón «Reiniciar» o «Aprobado» (solo para ti)';
    L['MAZE_HELPER_SETTINGS_AUTOANNOUNCER_LABEL'] = 'Habilitar auto locutor';
    L['MAZE_HELPER_SETTINGS_AUTOANNOUNCER_TOOLTIP'] = 'Envíe automáticamente una solución preparada al chat grupal';
    L['MAZE_HELPER_SETTINGS_START_IN_MINMODE_LABEL'] = 'Comience en modo minimizado';
    L['MAZE_HELPER_SETTINGS_START_IN_MINMODE_TOOLTIP'] = 'La primera aparición ocurrirá en modo minimizado';
    L['MAZE_HELPER_SETTINGS_WA_SUPPORT_LABEL'] = 'Soporte WA (Saxayone#2791)';
    L['MAZE_HELPER_SETTINGS_WA_SUPPORT_TOOLTIP'] = 'Soporte experimental para WA creado por Saxayone#2791 (puede que no funcione correctamente si el modo «Experimental» está habilitado en WA)';
    L['MAZE_HELPER_SETTINGS_AA_PARTY_LEADER'] = 'Líder del partido';
    L['MAZE_HELPER_SETTINGS_AA_ALWAYS'] = 'Siempre';
    L['MAZE_HELPER_SETTINGS_AA_TANK'] = 'Tanque';
    L['MAZE_HELPER_SETTINGS_AA_HEALER'] = 'Sanador';
    L['MAZE_HELPER_SETTINGS_SHOW_AT_BOSS_LABEL'] = 'Mostrar al jefe';
    L['MAZE_HELPER_SETTINGS_SHOW_AT_BOSS_TOOLTIP'] = 'Mostrar este ayudante cuando lucha con «Clamaneblina»';
    L['MAZE_HELPER_SETTINGS_SYNC_ENABLED_LABEL'] = 'Sincronización grupal';
    L['MAZE_HELPER_SETTINGS_SYNC_ENABLED_TOOLTIP'] = 'Habilitar la sincronización de selecciones de símbolos con otros miembros del grupo|n|n|cffff6a00No se recomienda desactivar|r';
    L['MAZE_HELPER_SETTINGS_USE_COLORED_SYMBOLS_LABEL'] = 'Usa símbolos de colores';
    L['MAZE_HELPER_SETTINGS_USE_COLORED_SYMBOLS_TOOLTIP'] = 'Utilice símbolos de colores en lugar de blanco y negro';

    return;
end

if gameLocale == 'esMX' then -- Latin American Spanish
    L['MAZE_HELPER_ZONE_NAME'] = 'Espesura Veloniebla';
    -- L['MAZE_HELPER_RESET'] = 'Reiniciar';
    -- L['MAZE_HELPER_SOLUTION'] = '|cff33cc66%s|r';
    -- L['MAZE_HELPER_ANNOUNCE_SOLUTION'] = 'Solucion: %s';
    -- L['MAZE_HELPER_SETTINGS_AA_TANK'] = 'Tanque';
    -- L['MAZE_HELPER_SETTINGS_AA_HEALER'] = 'Sanador';

    return;
end

if gameLocale == 'zhTW' then -- BNS333 (https://www.curseforge.com/members/bns333)
    L['MAZE_HELPER_ZONE_NAME'] = '霧紗密林';
    L['MAZE_HELPER_ANNOUNCE_FLOWER_FULL_CIRCLE'] = '有外環實心的花';
    L['MAZE_HELPER_ANNOUNCE_FLOWER_FULL_NOCIRCLE'] = '無外環實心的花';
    L['MAZE_HELPER_ANNOUNCE_FLOWER_NOFULL_CIRCLE'] = '有外環空心的花';
    L['MAZE_HELPER_ANNOUNCE_FLOWER_NOFULL_NOCIRCLE'] = '無外環空心的花';
    L['MAZE_HELPER_ANNOUNCE_LEAF_FULL_CIRCLE'] = '有外環實心的葉';
    L['MAZE_HELPER_ANNOUNCE_LEAF_FULL_NOCIRCLE'] = '無外環實心的葉';
    L['MAZE_HELPER_ANNOUNCE_LEAF_NOFULL_CIRCLE'] = '有外環空心的葉';
    L['MAZE_HELPER_ANNOUNCE_LEAF_NOFULL_NOCIRCLE'] = '無外環空心的葉';
    L['MAZE_HELPER_ANNOUNCE_SOLUTION'] = '解決方案: %s';
    L['MAZE_HELPER_CHOOSE_SYMBOLS_1'] = '再點選一個標誌';
    L['MAZE_HELPER_CHOOSE_SYMBOLS_2'] = '再點選兩個標誌';
    L['MAZE_HELPER_CHOOSE_SYMBOLS_3'] = '再點選三個標誌';
    L['MAZE_HELPER_CHOOSE_SYMBOLS_4'] = '點選四個標誌';
    L['MAZE_HELPER_CLEARED_BY'] = '被 %s 清除了';
    L['MAZE_HELPER_EXPAND'] = '展開';
    L['MAZE_HELPER_FLOWER_FULL_CIRCLE'] = '有外環實心的花';
    L['MAZE_HELPER_FLOWER_FULL_NOCIRCLE'] = '無外環實心的花';
    L['MAZE_HELPER_FLOWER_NOFULL_CIRCLE'] = '有外環空心的花';
    L['MAZE_HELPER_FLOWER_NOFULL_NOCIRCLE'] = '無外環空心的花';
    L['MAZE_HELPER_LEAF_FULL_CIRCLE'] = '有外環實心的葉';
    L['MAZE_HELPER_LEAF_FULL_NOCIRCLE'] = '無外環實心的葉';
    L['MAZE_HELPER_LEAF_NOFULL_CIRCLE'] = '有外環空心的葉';
    L['MAZE_HELPER_LEAF_NOFULL_NOCIRCLE'] = '無外環空心的葉';
    L['MAZE_HELPER_RESETED_PLAYER'] = '|cffffb833MH:|r %s |cffff0537已重置|r此小遊戲';
    L['MAZE_HELPER_MOTSH_RESETED_PLAYER'] = '|cffffb833MH:|r %s |cffff0537已重置|r此小遊戲 (Mists of Tirna Scithe Helper)';
    L['MAZE_HELPER_WA_RESETED_PLAYER'] = '|cffffb833MH:|r %s |cffff0537已重置|r此小遊戲 (WA)';
    L['MAZE_HELPER_PASSED'] = '已通過';
    L['MAZE_HELPER_PASSED_PLAYER'] = '|cffffb833MH:|r %s 點擊了«|cff66ff6e已通過|r»按鈕';
    L['MAZE_HELPER_RESET'] = '重置';
    L['MAZE_HELPER_SENDED_BY'] = '由 %s 發送';
    L['MAZE_HELPER_SETTINGS_AA_ALWAYS'] = '總是';
    L['MAZE_HELPER_SETTINGS_AA_HEALER'] = '治療者';
    L['MAZE_HELPER_SETTINGS_AA_PARTY_LEADER'] = '隊長';
    L['MAZE_HELPER_SETTINGS_AA_TANK'] = '坦克';
    L['MAZE_HELPER_SETTINGS_AUTOANNOUNCER_LABEL'] = '啟用自動通報';
    L['MAZE_HELPER_SETTINGS_AUTOANNOUNCER_TOOLTIP'] = '自動向隊伍發送現有的解決方案';
    L['MAZE_HELPER_SETTINGS_REVEAL_RESETTER_LABEL'] = '揭示迷你游戲的重置者';
    L['MAZE_HELPER_SETTINGS_REVEAL_RESETTER_TOOLTIP'] = '在聊天中輸入有點擊過“重置”或“已通過”按鈕的玩家的名字（僅供您自己使用）';
    L['MAZE_HELPER_SETTINGS_SHOW_AT_BOSS_LABEL'] = '在首領戰時顯示';
    L['MAZE_HELPER_SETTINGS_SHOW_AT_BOSS_TOOLTIP'] = '與«喚霧者»戰鬥時顯示此助手';
    L['MAZE_HELPER_SETTINGS_START_IN_MINMODE_LABEL'] = '以最小化模式啟動';
    L['MAZE_HELPER_SETTINGS_START_IN_MINMODE_TOOLTIP'] = '首次出現將以最小化模式進行';
    L['MAZE_HELPER_SETTINGS_WA_SUPPORT_LABEL'] = 'WA支持（Saxayone＃2791）';
    L['MAZE_HELPER_SETTINGS_WA_SUPPORT_TOOLTIP'] = '對由Saxayone＃2791創建的WA的實驗支持（如果在WA中啟用了“實驗”模式，則可能無法正常工作）';
    L['MAZE_HELPER_SOLUTION'] = '|cff33cc66%s|r';
    L['MAZE_HELPER_SOLUTION_NA'] = '|cffffb833沒有解決方案...|r';
    L['MAZE_HELPER_SETTINGS_SYNC_ENABLED_LABEL'] = '組同步';
    L['MAZE_HELPER_SETTINGS_SYNC_ENABLED_TOOLTIP'] = '啟用符號選擇與其他組成員的同步|n|n|cffff6a00不建議關閉|r';
    L['MAZE_HELPER_SETTINGS_USE_COLORED_SYMBOLS_LABEL'] = '使用彩色符號';
    L['MAZE_HELPER_SETTINGS_USE_COLORED_SYMBOLS_TOOLTIP'] = '使用彩色符號代替黑白';

    return;
end

if gameLocale == 'zhCN' then
    L['MAZE_HELPER_ZONE_NAME'] = '纱雾迷结';

    return;
end

if gameLocale == 'koKR' then -- hinski (https://www.curseforge.com/members/hinski)
    L['MAZE_HELPER_ZONE_NAME'] = '안개장막 덩굴숲';
    L['MAZE_HELPER_ANNOUNCE_FLOWER_FULL_CIRCLE'] = '원 안의 색칠한 꽃';
    L['MAZE_HELPER_ANNOUNCE_FLOWER_FULL_NOCIRCLE'] = '원 없는 색칠한 꽃';
    L['MAZE_HELPER_ANNOUNCE_FLOWER_NOFULL_CIRCLE'] = '원 안의 빈 꽃';
    L['MAZE_HELPER_ANNOUNCE_FLOWER_NOFULL_NOCIRCLE'] = '원 없는 빈 꽃';
    L['MAZE_HELPER_ANNOUNCE_LEAF_FULL_CIRCLE'] = '원 안의 색칠한 잎';
    L['MAZE_HELPER_ANNOUNCE_LEAF_FULL_NOCIRCLE'] = '원 없는 색칠한 잎';
    L['MAZE_HELPER_ANNOUNCE_LEAF_NOFULL_CIRCLE'] = '원 안의 빈 잎';
    L['MAZE_HELPER_ANNOUNCE_LEAF_NOFULL_NOCIRCLE'] = '원 없는 빈 잎';
    L['MAZE_HELPER_ANNOUNCE_SOLUTION'] = '정답: %s';
    L['MAZE_HELPER_CHOOSE_SYMBOLS_1'] = '1개의 모양을 더 고르세요';
    L['MAZE_HELPER_CHOOSE_SYMBOLS_2'] = '2개의 모양을 더 고르세요';
    L['MAZE_HELPER_CHOOSE_SYMBOLS_3'] = '3개의 모양을 더 고르세요';
    L['MAZE_HELPER_CHOOSE_SYMBOLS_4'] = '4개의 모양을 고르세요';
    L['MAZE_HELPER_CLEARED_BY'] = '%s에 의해 지워짐';
    L['MAZE_HELPER_EXPAND'] = '펼치기';
    L['MAZE_HELPER_FLOWER_FULL_CIRCLE'] = '원 안의 색칠한 꽃';
    L['MAZE_HELPER_FLOWER_FULL_NOCIRCLE'] = '원 없는 색칠한 꽃';
    L['MAZE_HELPER_FLOWER_NOFULL_CIRCLE'] = '원 안의 빈 꽃';
    L['MAZE_HELPER_FLOWER_NOFULL_NOCIRCLE'] = '원 없는 빈 꽃';
    L['MAZE_HELPER_LEAF_FULL_CIRCLE'] = '원 안의 색칠한 잎';
    L['MAZE_HELPER_LEAF_FULL_NOCIRCLE'] = '원 없는 색칠한 잎';
    L['MAZE_HELPER_LEAF_NOFULL_CIRCLE'] = '원 안의 빈 잎';
    L['MAZE_HELPER_LEAF_NOFULL_NOCIRCLE'] = '원 없는 빈 잎';
    L['MAZE_HELPER_MOTSH_RESETED_PLAYER'] = '|cffffb833MH:|r %s이(가) 이 퍼즐을 |cffff0537초기화|r했습니다 (Mists of Tirna Scithe Helper)';
    L['MAZE_HELPER_WA_RESETED_PLAYER'] = '|cffffb833MH:|r %s이(가) 이 퍼즐을 |cffff0537초기화|r했습니다 (WA)';
    L['MAZE_HELPER_PASSED'] = '통과';
    L['MAZE_HELPER_PASSED_PLAYER'] = '|cffffb833MH:|r %s이(가) «|cff66ff6e통과|r» 버튼을 눌렀습니다';
    L['MAZE_HELPER_RESET'] = '초기화';
    L['MAZE_HELPER_RESETED_PLAYER'] = '|cffffb833MH:|r %s이(가) 이 퍼즐을 |cffff0537초기화|r했습니다';
    L['MAZE_HELPER_SENDED_BY'] = '%s의 전송';
    L['MAZE_HELPER_SOLUTION'] = '|cff33cc66%s|r';
    L['MAZE_HELPER_SOLUTION_NA'] = '|cffffb833정답이 없습니다...|r';
    L['MAZE_HELPER_SETTINGS_REVEAL_RESETTER_LABEL'] = '미니 게임의 재설 공개';
    L['MAZE_HELPER_SETTINGS_REVEAL_RESETTER_TOOLTIP'] = '채팅에«재설정»또는«통과»버튼을 클릭 한 플레이어의 이름을 입력합니다 (자신 만 해당).';
    L['MAZE_HELPER_SETTINGS_AUTOANNOUNCER_LABEL'] = '자동 아나운서 사용하기';
    L['MAZE_HELPER_SETTINGS_AUTOANNOUNCER_TOOLTIP'] = '기성 솔루션을 그룹 채팅에 자동으로 보내기';
    L['MAZE_HELPER_SETTINGS_START_IN_MINMODE_LABEL'] = '최소화 모드에서 시작';
    L['MAZE_HELPER_SETTINGS_START_IN_MINMODE_TOOLTIP'] = '최소화 모드에서 첫 번째 출현';
    L['MAZE_HELPER_SETTINGS_WA_SUPPORT_LABEL'] = 'WA 지원 (Saxayone#2791))';
    L['MAZE_HELPER_SETTINGS_WA_SUPPORT_TOOLTIP'] = 'Saxayone#2791에 의해 생성 된 WA에 대한 실험적 지원 (WA에서«Experimental»모드가 활성화 된 경우 올바르게 작동하지 않을 수 있음)';
    L['MAZE_HELPER_SETTINGS_AA_PARTY_LEADER'] = '당장';
    L['MAZE_HELPER_SETTINGS_AA_ALWAYS'] = '항상';
    L['MAZE_HELPER_SETTINGS_AA_TANK'] = '방어 전담';
    L['MAZE_HELPER_SETTINGS_AA_HEALER'] = '치유 전담';
    L['MAZE_HELPER_SETTINGS_SHOW_AT_BOSS_LABEL'] = '보스에서보기';
    L['MAZE_HELPER_SETTINGS_SHOW_AT_BOSS_TOOLTIP'] = '«미스트콜러»와 싸울 때이 도우미 표시';
    L['MAZE_HELPER_SETTINGS_SYNC_ENABLED_LABEL'] = '그룹 동기화';
    L['MAZE_HELPER_SETTINGS_SYNC_ENABLED_TOOLTIP'] = '다른 그룹 구성원과 기호 선택 동기화 활성화|n|n|cffff6a00끄지 않는 것이 좋습니다.|r';
    L['MAZE_HELPER_SETTINGS_USE_COLORED_SYMBOLS_LABEL'] = '컬러 기호 사용';
    L['MAZE_HELPER_SETTINGS_USE_COLORED_SYMBOLS_TOOLTIP'] = '흑백 대신 컬러 기호 사용';

    return;
end